LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 07-19-2012, 11:17 PM   #1
lawji
LQ Newbie
 
Registered: Jul 2012
Location: Hong Kong
Distribution: CentOS
Posts: 3

Rep: Reputation: Disabled
yum update problem


I tried "yum clean all" but still got errors.
Please help!



login as: root
root@192.168.1.5's password:
Last login: Fri Jul 20 10:40:09 2012 from 192.168.1.48
[root@linux ~]# yum update
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
* base: centos.01link.hk
* extras: centos.01link.hk
* rpmforge: mirror-fpt-telecom.fpt.net
* updates: centos.communilink.net
Skipping security plugin, no data
Setting up Update Process
Resolving Dependencies
Skipping security plugin, no data
--> Running transaction check
--> Processing Dependency: gmime = 2.2.10-5.el5.centos for package: gmime-sharp
---> Package gmime20.i386 0:2.2.26-1.el5.rf set to be updated
---> Package libpurple.i386 0:2.6.6-11.el5.4 set to be updated
---> Package pidgin.i386 0:2.6.6-11.el5.4 set to be updated
---> Package tzdata.i386 0:2012c-3.el5 set to be updated
---> Package tzdata-java.i386 0:2012c-3.el5 set to be updated
--> Finished Dependency Resolution
gmime-sharp-2.2.10-5.el5.centos.i386 from installed has depsolving problems
--> Missing Dependency: gmime = 2.2.10-5.el5.centos is needed by package gmime-sharp-2.2.10-5.el5.centos.i386 (installed)
Error: Missing Dependency: gmime = 2.2.10-5.el5.centos is needed by package gmime-sharp-2.2.10-5.el5.centos.i386 (installed)
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
package-cleanup --dupes
rpm -Va --nofiles --nodigest
The program package-cleanup is found in the yum-utils package.
[root@linux ~]#
 
Old 07-19-2012, 11:32 PM   #2
dundu
LQ Newbie
 
Registered: Jul 2012
Distribution: Redhat,Fedora,centos
Posts: 17

Rep: Reputation: Disabled
Try after install missing dependency

http://zid-lux1.uibk.ac.at/linux/rpm...ntos.i386.html
 
Old 07-20-2012, 01:00 AM   #3
lawji
LQ Newbie
 
Registered: Jul 2012
Location: Hong Kong
Distribution: CentOS
Posts: 3

Original Poster
Rep: Reputation: Disabled
Same error after the installation.

[root@linux Downloads]# rpm -ivh gmime-2.2.10-5.el5.centos.i386.rpm
Preparing... ########################################### [100%]
package gmime-2.2.10-5.el5.centos.i386 is already installed
 
Old 07-20-2012, 02:33 AM   #4
John VV
LQ Muse
 
Registered: Aug 2005
Location: A2 area Mi.
Posts: 16,818

Rep: Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408Reputation: 2408
Quote:
gmime20.i386 0:2.2.26-1.el5.rf
you have RpmForge installed on a centOS5 install
that repo is incompatible with just about EVERY other repo on 5
if using rpmforge on RHEL / CentOS/ SL 5 you ONLY yes ONLY use rf and do not even use the cent updates( it is incompatible with that )
mostly fixed for cent6

or
you VERY VERY VERY VERY carefully use just a few programs from RF and " PRAY " you do not mess up the install

it looks like you did NOT install and configure the VERY recommended ( one might say REQUIRED ) yum plugin " yum-priorities"
PLEASE read , then REREAD the cent wiki page on third party repos
and HEED ALL AND EVERY WARNING
http://wiki.centos.org/AdditionalResources/Repositories
remove every ".rf" rpm
install yum-priorities
CONFIGURE IT !!!!!!
http://wiki.centos.org/PackageManagement/Yum/Priorities
then reinstall "gmime" and / or any other rpm you had to uninstall

for a list of installed rpmforge rpms run this -- hopefully it will be a short list
Code:
su -
rpm -qa | grep rf 
-------- for a text file  output run this-------
rpm -qa | grep rf > ~/rf_list.txt
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
problem with yum update lamou23 Red Hat 4 08-28-2010 12:44 AM
yum update problem ady123 Linux - Newbie 9 03-14-2008 02:44 AM
yum update problem mickeyboa Fedora 2 10-04-2006 01:43 PM
Yum update problem DanielTan Linux - General 2 09-28-2005 04:43 AM
yum update problem disorderly Fedora 4 08-19-2004 03:00 PM


All times are GMT -5. The time now is 06:50 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration